.admin-bg{
    background: linear-gradient(120.21deg, #444444 -17.43%, #666666 104.46%) !important;
}
.datatable-row-odd{
    background-color:rgba(255,255,255,.03);
}
.datatable-body-cell-label{
    line-height: 2;
}
.datatable-header-inner {background: #E9E9E9; padding: 8px; font-size: 1.2em;padding-left:0px !important;color: #555555;}
.table-wrapper {
    background: #fff;
    // padding: 20px 25px;
    margin: 30px 0;
    border-radius: 10px;
    box-shadow: 0 1px 1px rgba(0,0,0,.05);
}
.table-title {        
    padding-bottom: 15px;
    background: #435d7d;
    color: #fff;
    padding: 16px 30px;
    margin: -20px -25px 10px;
    border-radius: 3px 3px 0 0;
}
.table-title h2 {
    margin: 5px 0 0;
    font-size: 24px;
}
.table-title .btn-group {
    float: right;
}
.table-title .btn {
    color: #fff;
    float: right;
    font-size: 13px;
    border: none;
    min-width: 50px;
    border-radius: 2px;
    border: none;
    outline: none !important;
    margin-left: 10px;
}
.table-title .btn i {
    float: left;
    font-size: 21px;
    margin-right: 5px;
}
.table-title .btn span {
    float: left;
    margin-top: 2px;
}
table.table tr th, table.table tr td {
    border-color: #e9e9e9;
    padding: 12px 15px;
    vertical-align: middle;
}
table.table tr th:first-child {
    width: 60px;
}
table.table tr th:last-child {
    width: 100px;
}
table.table-striped tbody tr:nth-of-type(odd) {
    background-color: #fcfcfc;
}
table.table-striped.table-hover tbody tr:hover {
    background: #f5f5f5;
}
table.table th i {
    font-size: 13px;
    margin: 0 5px;
    cursor: pointer;
}	
table.table td:last-child i {
    opacity: 0.9;
    font-size: 22px;
    margin: 0 5px;
}
table.table td a {
    font-weight: bold;
    color: #566787;
    display: inline-block;
    text-decoration: none;
    outline: none !important;
}
table.table td a:hover {
    color: #2196F3;
}
table.table td a.edit {
    color: #FFC107;
}
table.table td a.delete {
    color: #F44336;
}
table.table td i {
    font-size: 19px;
}
table.table .avatar {
    border-radius: 50%;
    vertical-align: middle;
    margin-right: 10px;
}
.pagination {
    float: right;
    margin: 0 0 5px;
}
.pagination li a {
    border: none;
    font-size: 13px;
    min-width: 30px;
    min-height: 30px;
    color: #999;
    margin: 0 2px;
    line-height: 30px;
    border-radius: 2px !important;
    text-align: center;
    padding: 0 6px;
}
.pagination li a:hover {
    color: #666;
}	
.pagination li.active a, .pagination li.active a.page-link {
    background: #03A9F4;
}
.pagination li.active a:hover {        
    background: #0397d6;
}
.pagination li.disabled i {
    color: #ccc;
}
.pagination li i {
    font-size: 16px;
    padding-top: 6px
}
.hint-text {
    float: left;
    margin-top: 10px;
    font-size: 13px;
}    
.ngx-datatable .datatable-body .datatable-row-wrapper {
    padding-top: 10px !important;
}

.datatable-body-cell-label {
  font-size: 16px;
  color: #333333;
}
.hint-text.pagination {
    float: right;
    margin: 0 0 5px;
}
.hint-text .pagination li a {
    border: none;
    font-size: 13px;
    min-width: 30px;
    min-height: 30px;
    color: #999;
    margin: 0 2px;
    line-height: 30px;
    border-radius: 2px !important;
    text-align: center;
    padding: 0 6px;
}
.hint-text .pagination li a:hover {
    color: #666;
}	
.hint-text .pagination li.active a, .pagination li.active a.page-link {
    background: #03A9F4;
}
.hint-text .pagination li.active a:hover {        
    background: #0397d6;
}
.hint-text .pagination li.disabled i {
    color: #ccc;
}
.hint-text .pagination li i {
    font-size: 16px;
    padding-top: 6px
}
.hint-text {
    float: left;
    margin-top: 10px;
    font-size: 13px;
}
.custom-icon-btn.btn-sm{
    padding: 0.5em;
}
.btn-outline-info {
    border: none !important;
    color: black !important;
    border-color:none !important;
}
.ctrl_box_pntr {	
    outline: none;
}
.ctrl_box_pntr {	
    cursor: pointer;
}
.ctrl_box_pntr:active {	
    background-color: #fff;
}
.header {
	background: #fff;
	padding: 20px 0;
	padding-top: 60px;
}
.control-box {
    font-size: 16px;
    line-height: 18px;
    display: flex;
    align-items: center;
    letter-spacing: -0.01em;
    opacity: 1;
    border-radius: 5px;
    height: 46px;
    width: 77%;

}
.control-box-2 {
    font-size: 16px;
    line-height: 18px;
    font-family: 'worksans';
    display: flex;
    align-items: center;
    letter-spacing: -0.01em;
    opacity: 1;
    border-radius: 5px;
    height: 46px;
    width: 77%;
}
 .card-title-material{
font-weight: 500;
font-size: 22px;
line-height: 24px;
display: flex;
align-items: center;
letter-spacing: -0.03em;
color: #555555;
padding-top: 0.5em;
    margin-bottom: 0em;
    font-family: 'worksans';
}

.form-group .card-title-material{
font-weight: 500;
font-size: 18px;
line-height: 24px;
display: flex;
align-items: center;
letter-spacing: -0.03em;
color: #555555;
padding-top: 0.5em;
    margin-bottom: 0em;
}
.ngx-datatable.fixed-header .datatable-header .datatable-header-inner .datatable-header-cell{
    font-size: 16px;
}
.btn-outline-danger.disabled, .btn-outline-danger:disabled {
    color: black !important;
}
._select_color{
    font-size: 20px;
    padding: 10px 12px;
    font-weight: 300;
    line-height: 28px;
    border-radius: 4px;
    border: 1px solid #ccc;
    -webkit-appearance: none;
    width: 100%;
    height: auto;
    box-shadow: none;
        text-align: left;
    background-image: none;
    color: #796652;
    background: white;
}
._select_color_drop {
    margin: 0;
    padding: 0;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    top: 99%;
    border-top: 0;
    width: 100%;
}
 .table-wrapper li {
    display: inline-block;
    padding: 7px;
    // border-right: 1px solid rgba(192, 192, 192, 0.55);
    cursor: pointer;
}
 .table-wrapper  li > .color,.btn > span.color{
    width: 40px;
    height: 40px;
    border-radius: 4px;
    float: left;
}
.table-wrapper  li > .chart_color,.btn > span.chart_color{
    width: 20px;
    height: 20px;
    border-radius: 4px;
    float: left;
}
.open>.dropdown-menu {
    display: block;
}
/*#######################################*/
.wrapper-dropdown-3 {
    /* Size and position */
    position: relative;
    // width: 200px;
    margin: 0 auto;
    padding: 10px;

    /* Styles */
    background: #fff;
    border: 1px solid rgba(0,0,0,0.15);
    box-shadow: 0 1px 1px rgba(50,50,50,0.1);
    cursor: pointer;
    outline: none;
}
.wrapper-dropdown-3:after {
    // content: "";
    width: 0;
    height: 0;
    position: absolute;
    right: 15px;
    top: 50%;
    margin-top: -3px;
    border-width: 6px 6px 0 6px;
    border-style: solid;
    border-color: #000 transparent;
}
.wrapper-dropdown-3 .dropdown {
  /* Size & position */
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
padding:0;
margin:0;
    /* Styles */
    background: white;
    border: 1px solid rgba(0,0,0,0.17);
    font-weight: normal;
    -webkit-transition: all 0.5s ease-in;
    -moz-transition: all 0.5s ease-in;
    -ms-transition: all 0.5s ease-in;
    -o-transition: all 0.5s ease-in;
    transition: all 0.5s ease-in;
    list-style: none;

    /* Hiding */
    opacity: 0;
    pointer-events: none;
}
.wrapper-dropdown-3 .dropdown li a {
    display: block;
    padding: 10px;
    text-decoration: none;
    color: #000;
    border-bottom: 1px solid #e6e8ea;
    box-shadow: inset 0 1px 0 rgba(255,255,255,1);
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -ms-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}
.wrapper-dropdown-3 .dropdown li i {
    float: right;
    color: inherit;
}

.wrapper-dropdown-3 .dropdown li:first-of-type a {
    border-radius: 7px 7px 0 0;
}

.wrapper-dropdown-3 .dropdown li:last-of-type a {
    border: none;
    border-radius: 0 0 7px 7px;
}

/* Hover state */

.wrapper-dropdown-3 .dropdown li:hover a {
    background: #f3f8f8;
}

/* Active state */

.wrapper-dropdown-3.active .dropdown {
    opacity: 1;
    pointer-events: auto;
}
.wrapper-dropdown-3 .dropdown-item{ 
    display: flex;
    text-align: center;
}
.dropdown-item h5{ 
  position: relative;
  top: 10px;
  color: #555555;
}
.dropdown-item-ul{
    display: flex;
    position: absolute;
    margin-left: 5em;
}
.chart_color_dropdown{
    background: #FFFFFF;
    border: 1px solid #CCCCCC;
    box-sizing: border-box;
    border-radius: 5px;
    height: 50px;
    margin-left: 3em !important;
    padding-left: 38.5em;
}
.chart_color_ul{
    position: absolute; left: 3em; top: 0.5em;
}
.chart_color_h5{
    position: absolute;left: 2em;top: 1em;color: #555555;
}
.content_width {
    width: 90%;
    padding-left: 5em;
}
.sidebar_top {
    margin-top:76px; // 24px;
}
.card_title_top {
    margin-top: 24px;
}
.input_group_margin {
    margin-top: 2em;
    margin-left: 2.5em;
}
.search_icon_transform {
    transform: rotate(-90deg); font-size: 24px; color:#777;
}
.search_input{
    border:none;top: 1.3em;
}
.add_user_ctn {
    margin-left: auto;
    padding-top: 1em;
    padding-bottom: 1em;
    padding-right: 2.2em;
}
.default-style .ngx-datatable .datatable-header {
    background: #E9E9E9;
}
.control-box-2.p-3.ctrl_box_pntr.active{
    background: #FFFFFF;
}
:host ::ng-deep .ngx-datatable .datatable-body .datatable-scroll {
    display: inherit;
  }
  .data_source_select_width {
      width: 50%;
  }
  .calc_source_select_width {
    width: 300px;
}
.theme_group{
    display: inline-flex;
}
  .search_bg{
      background: transparent;
  }
  @media screen and (min-width:1200px) and (max-width:1500px)
{
    .card_title_top {
        margin-top: 24px;
    }

 }
 @media screen and (min-width:1600px) 
{
    .card-ngx-datatable {
        min-width: 50vh;
    }

 }
 calcmeasure #fm-pivot-view #fm-calculated-view {
    top: -104px !important;
    min-width: 480px !important;
    left: 234px !important;
  }
 @media screen and (min-height:750px)
 {
     calcmeasure #fm-pivot-view #fm-calculated-view {
         top: -142px !important;
         min-width: 480px !important;
         left: 234px !important;
       }
 
  }
  /* Landscape*/
@media only screen and (min-device-width: 1366px) and (max-device-height: 1024px) and (-webkit-min-device-pixel-ratio: 2)  and (orientation: landscape)  {
    calcmeasure #fm-pivot-view #fm-calculated-view {
       top: -108px !important;
       min-width: 480px !important;
       left: 117px !important;
      }
}

/* Portrait*/
@media only screen 
and (min-device-width : 768px) 
and (max-device-width : 1200px)  {
    .chart_color_dropdown{
    margin-left: 2em !important;
    // width: 100%;
    }
    .control-box {
        width: 90%;
    }
    .control-box-2 {
        width: 90%;
    }
    .content_width {
        width: 100%;
        padding-left: 1em;
    }
    .data_source_select_width {
        width: 200px;
    }
    .calc_source_select_width {
        width: 150px;
    }
    .chart_color_ul{
        position: absolute; left: 3.5em; top: 0.5em;
    }
    .chart_color_a{
        margin-left: 0em;
    }
    .chart_color_h5{
        position: absolute;left: 1em;top: 1em;color: #555555;
    }
}
@media screen and (min-width: 768px) {
    .datatable-body-cell-label {
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
     }
}
@media screen and (min-width: 1024px) and (max-device-height: 1366px) and (-webkit-min-device-pixel-ratio: 2)  and (orientation: portrait)  {
    calcmeasure #fm-pivot-view #fm-calculated-view {
        top: -108px !important;
        min-width: 480px !important;
        left: 117px !important;
       }
      
    .chart_color_dropdown{
        margin-left: 2em !important;
    }
}
@media only screen and (device-width: 768px) {
    /* For general iPad layouts */
    .theme_group{
        display: block;
    }
  }
@media screen and (min-width: 995px) and (max-height: 790px) {
    calcmeasure #fm-pivot-view #fm-calculated-view {
        top: -180px !important;
        min-width: 480px !important;
        left: 117px !important;
       }
  }
  span.resize-handle:hover {
    border-right: 1px solid #ccc;
}
.datatable-body-cell-label {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
 }